Loading...
Searching...
No Matches
AVSubsampleEncryptionInfo Struct Reference

This file is part of FFmpeg. More...

`#include <libavutil/encryption_info.h>`

## Data Fields

unsigned int | bytes_of_clear_data
| The number of bytes that are clear.
unsigned int | bytes_of_protected_data
| The number of bytes that are protected.

## Detailed Description

This file is part of FFmpeg.

FFmpeg is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 2.1 of the License, or (at your option) any later version.

FFmpeg is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with FFmpeg; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA

Definition at line 25 of file encryption_info.h.

## Field Documentation

## bytes_of_clear_data

unsigned int AVSubsampleEncryptionInfo::bytes_of_clear_data

The number of bytes that are clear.

Definition at line 27 of file encryption_info.h.

## bytes_of_protected_data

unsigned int AVSubsampleEncryptionInfo::bytes_of_protected_data

The number of bytes that are protected.

If using pattern encryption, the pattern applies to only the protected bytes; if not using pattern encryption, all these bytes are encrypted.

Definition at line 34 of file encryption_info.h.

The documentation for this struct was generated from the following file:

- libavutil/encryption_info.h